MANPATH(1)

NAMN
manpath - bestäm sökvägen för manualsidor

SYNOPSIS
manpath [-qgdc?V] [-m system[,...]] [-C fil]

BESKRIVNING
Om $MANPATH är satt kommer manpath helt enkelt att visa dess innehåll och mata ut en varning. Om inte så kommer manpath att bestämma en lämplig sökväg för hierarkier av manualsidor och visa resultaten. Den kolonavgränsade sökvägen bestäms med information som hämtats från konfigurationsfilen för man-db - (/etc/manpath.config) och användarens miljö.

FLAGGOR

-q, --quiet
    Mata inte ut varningar.

-d, --debug
    Skriver ut felsökningsinformation.

-c, --catpath
    Producera en cat-sökväg till skillnad från en man-sökväg. När man-sökvägen är bestämd kommer varje element i sökvägen att konverteras till dess relativa cat-sökväg.

-g, --global
    Producera en man-sökväg som består av alla sökvägar som benämnts som ”globala” i konfigurationsfilen för man-db.

-m system[,...], --systems=system[,...]
    Om detta system har tillgång till andra operativsystems hierarkier av manualsidor kan denna flagga användas för inkludera dem i utmatningen från manpath. För att inkludera hierarkierna av manualsidor för NyttOS använd flaggan -m NyttOS. Det angivna system-et kan vara en kombination av kommaavgränsade operativsystemsnamn. För att inkludera det aktuella operativsystemets hierarkier av manualsidor måste systemnamnet man inkluderas i argumentsträngen. Denna flagga kommer att åsidosätta miljövariabeln $SYSTEM.

-C fil, --config-file=fil
    Använd denna användarkonfigurationsfil snarare än standard ~/.manpath.

-?, --help
    Skriv ut ett hjälpmeddelande och avsluta.

--usage
    Skriv ut ett kort användningsmeddelande och avsluta.

-V, --version
    Visa versionsinformation.

MILJÖ

MANPATH
    Om $MANPATH är satt kommer manpath att visa dess värde snarare än att bestämma det i farten. Om $MANPATH föregås av ett kolon så kommer variabelns värde att läggas till på slutet av den lista som bestämts från innehållet i konfigurationsfilen. Om kolonet återfinns i slutet på värdet i variabeln kommer den bestämda listan att läggas till på slutet av variabeln. Om variabelns värde innehåller dubbla kolon (::) så kommer den bestämda listan att infogas mitt i värdet mellan de två kolonen.

SYSTEM
    Om $SYSTEM är satt kommer den att ha samma effekt som om den hade angetts som argument till flaggan -m.

FILER

/etc/manpath.config
    man-db-konfigurationsfil.

SE VIDARE
apropos(1), man(1), whatis(1)

UPPHOVSMAN
Wilf. (G.Wilford@ee.surrey.ac.uk).
Fabrizio Polacco (fpolacco@debian.org).
Colin Watson (cjwatson@debian.org).